<?php

namespace Drupal\minikanban;

use Drupal\Core\Entity\EntityTypeInterface;
use Drupal\Core\Entity\Routing\AdminHtmlRouteProvider;
use Drupal\minikanban\Controller\KanbanContentController;

/**
 * Route provider for kanban bundle entity types.
 */
class KanbanBundleHtmlRouteProvider extends AdminHtmlRouteProvider {

  /**
   * {@inheritdoc}
   */
  protected function getAddPageRoute(EntityTypeInterface $entity_type) {
    if ($route = parent::getAddPageRoute($entity_type)) {
      $route->setDefault('_controller', KanbanContentController::class . '::addPage');
      return $route;
    }
  }

}
