<?php

namespace Drupal\minikanban;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * List builder for kanban bundle config entities.
 */
class KanbanBundleEntityListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    return ['label' => $this->t('Name')]
      + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    return ['label' => $entity->label()]
      + parent::buildRow($entity);
  }

}
